Bug 364191 - rhn_register tui should support extended update model with an new OSRelease screen
rhn_register tui should support extended update model with an new OSRelease s...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.1
All Linux
medium Severity low
: rc
: ---
Assigned To: Pradeep Kilambi
desktop-bugs@redhat.com
:
Depends On: 249877
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 12:15 EDT by Pradeep Kilambi
Modified: 2008-07-14 16:16 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0362
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:51:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Registering runs smoothly (47.86 KB, image/png)
2008-04-16 05:58 EDT, Michal Nowak
no flags Details
IN need (41.82 KB, image/png)
2008-04-16 05:59 EDT, Michal Nowak
no flags Details

  None (edit)
Comment 1 RHEL Product and Program Management 2007-11-02 12:24:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Michal Nowak 2008-04-15 08:57:52 EDT
Running rhn_register --nox asploded really bad...


[Tue Apr 15 14:50:44 2008] rhn_register Error communicating with server. The
message was:
While running 'registration.remaining_subscriptions': caught
<type 'instance'> : remaining_subscriptions() takes at most 5 arguments (6 given)

[Tue Apr 15 14:50:44 2008] rhn_register
Traceback (most recent call last):
  File "/usr/sbin/rhn_register", line 82, in ?
    app.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhn_register", line 64, in main
    ui.main()
  File "/usr/share/rhn/up2date_client/tui.py", line 2011, in main
    tui.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 1898, in run
    if self._show_subscription_window() == False:
  File "/usr/share/rhn/up2date_client/tui.py", line 1849, in
_show_subscription_window
    self.password)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 594, in
getRemainingSubscriptions
    virt_uuid)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 52, in __call__
    raise self.__exception_from_fault(f)
up2date_client.up2dateErrors.CommunicationError: Error communicating with
server. The message was:
While running 'registration.remaining_subscriptions': caught
<type 'instance'> : remaining_subscriptions() takes at most 5 arguments (6 given)

--
serverURL=https://xmlrpc.rhn.redhat.com/XMLRPC
--

...after the credentials screen -> Next -> backtrace
Comment 23 errata-xmlrpc 2008-05-21 12:51:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0362.html

Note You need to log in before you can comment on or make changes to this bug.